
enum screenDimensions
{
  SCREEN_WIDTH = 320,
  SCREEN_HEIGHT = 180
};

extern int fullscreen;
extern int quit;
extern int playing;
extern int actionbutton;
extern int spellbutton;
extern int captive;
extern int hasMusic;

extern SDL_Event event;
extern SDL_Surface* screen;
extern SDL_Surface* window;
extern Timer fps;
extern Room* rightHere;

extern Player* hero;
extern HyperKaos** spellBook;

extern int kaosFlag;
extern int spellFlag;
extern long long int savestate;
extern int spellKnowledge[10];
extern int bookMark;

extern Room* menuBG;
extern SDL_Surface* saveMenu;
extern SDL_Surface* textBoxBG;
extern SDL_Surface* choiceBox;
extern SDL_Surface* nextArrow;
extern SDL_Surface* selectArrow;
extern SDL_Surface* loadingTxt;
extern SDL_Surface* spellGlyphs;

extern TTF_Font* font;
extern SDL_Color textColor;

extern enum dataChunks thisChunk;
extern enum dataChunks nextChunk;

extern Room** mapData;
extern Room** mapBuffer;
extern TextBox** dialogueData;

extern Kaos** kaosData;
extern Scene** theatre;

#ifdef SOUND_ON
extern Mix_Music** bgmData;
extern Mix_Chunk** sfxData;
extern Mix_Music* menuBGM;
#endif

